## 66 0.7.0.0preprod-experimental2

=== debian/changelog ===
66 (0.7.0.0preprod-experimental2-1.0antix1) unstable; urgency=high

  * antiX build

 -- anticapitalista <antix@operamail.com>  Sat, 03 Feb 2024 20:58:14 +0200
