=== debian/changelog ===
66 (0.7.0.1-1.0antix1) unstable; urgency=medium

  * antiX build from Prowler_Gr@yahoo.gr repo 

 -- anticapitalista <antix@operamail.com>  Fri, 10 May 2024 18:01:14 +0300

66 (0.7.0.0experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream stable release.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Sat, 27 Apr 2024 22:22:22 +1000

66 (0.7.0.0preprod-experimental2-2) UNRELEASED; urgency=medium

  * Modified debian/rules file to change default 66 values that were reported causing issues.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Sun, 25 Feb 2024 22:22:22 +1000

66 (0.7.0.0preprod-experimental2-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Thu, 18 Jan 2024 22:22:22 +1000
