=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --enable-absolute-paths
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --enable-allstatic
CONFIG_OPT += --HOSTNAME=antix-66
CONFIG_OPT += --TZ=ETC
CONFIG_OPT += --TTY=!2
CONFIG_OPT += --KEYMAP=!us
CONFIG_OPT += --FONT=!lat9w-16
#CONFIG_OPT += --FONT_MAP=
#CONFIG_OPT += --FONT_UNIMAP=
CONFIG_OPT += --FSTAB=!yes
CONFIG_OPT += --SWAP=!yes
CONFIG_OPT += --LVM=!no
CONFIG_OPT += --DMRAID=!no
CONFIG_OPT += --BTRFS=!no
CONFIG_OPT += --ZFS=!no
CONFIG_OPT += --ZFS_IMPORT=!zpoolcache
CONFIG_OPT += --MDRAID=!no
CONFIG_OPT += --CHECK_CONFIGURATION=!no
CONFIG_OPT += --SETUPCONSOLE=!yes
CONFIG_OPT += --HARDWARECLOCK=localtime
CONFIG_OPT += --UDEV=!yes
CONFIG_OPT += --SYSCTL=!yes
CONFIG_OPT += --FORCECHCK=!no
CONFIG_OPT += --LOCAL=!no
CONFIG_OPT += --CONTAINER=!no
CONFIG_OPT += --TMPFILE=!no
CONFIG_OPT += --MODULE_KERNEL=!no
CONFIG_OPT += --MODULE_SYSTEM=!no
CONFIG_OPT += --RANDOMSEED=!yes
CONFIG_OPT += --CRYPTTAB=!no
#CONFIG_OPT += --FIREWALL=
CONFIG_OPT += --CGROUPS=!yes
CONFIG_OPT += --MNT_PROC=!no
CONFIG_OPT += --MNT_SYS=!no
CONFIG_OPT += --MNT_DEV=!no
CONFIG_OPT += --MNT_RUN=!yes
CONFIG_OPT += --MNT_TMP=!yes
CONFIG_OPT += --MNT_PTS=!yes
CONFIG_OPT += --MNT_SHM=!yes
CONFIG_OPT += --MNT_NETFS=!no
CONFIG_OPT += --POPULATE_SYS=!yes
CONFIG_OPT += --POPULATE_DEV=!yes
CONFIG_OPT += --POPULATE_RUN=!yes
CONFIG_OPT += --POPULATE_TMP=!yes

%:
	dh $@

override_dh_auto_configure-arch:
#	./tools/gen-deps.sh > package/deps.mak
	./configure -- $(CONFIG_OPT)

#override_dh_auto_configure-indep:
#override_dh_auto_build-indep:
#override_dh_auto_install-indep:
#	mkdir -p debian/tmp/usr/share/doc/s6
#	cp -aT doc debian/tmp/usr/share/doc/s6
#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info
