## 66 0.8.0.0~antix1

=== Makefile ===
--- 
+++ 
@@ -120,13 +120,16 @@
 		-e 's,%%script_system%%,$(script_system),g' \
 		-e 's,%%seed_system%%,$(seed_system),g' \
 		-e 's,%%seed_adm%%,$(seed_adm),g' \
-		-e 's,%%service_adm%%,$(service_adm),g' \
-		-e 's,%%service_admconf%%,$(service_admconf),g' \
-		-e 's,%%user_dir%%,$(user_dir),g' \
-		-e 's,%%service_user%%,$(service_user),g' \
-		-e 's,%%script_user%%,$(script_user),g' \
-		-e 's,%%service_userconf%%,$(service_userconf),g' \
-		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%environment_adm%%,$(environment_adm),g' \
+		-e 's,%%service_adm%%,$(service_adm),g' \
+		-e 's,%%service_admconf%%,$(service_admconf),g' \
+		-e 's,%%user_dir%%,$(user_dir),g' \
+		-e 's,%%service_user%%,$(service_user),g' \
+		-e 's,%%script_user%%,$(script_user),g' \
+		-e 's,%%service_userconf%%,$(service_userconf),g' \
+		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%seed_user%%,$(seed_user),g' \
+		-e 's,%%environment_user%%,$(environment_user),g' \
 		-e 's,%%default_treename%%,$(default_treename),g' $< > $@
 
 $(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
@@ -144,13 +147,16 @@
 		-e 's,%%script_system%%,$(script_system),g' \
 		-e 's,%%seed_system%%,$(seed_system),g' \
 		-e 's,%%seed_adm%%,$(seed_adm),g' \
-		-e 's,%%service_adm%%,$(service_adm),g' \
-		-e 's,%%service_admconf%%,$(service_admconf),g' \
-		-e 's,%%user_dir%%,$(user_dir),g' \
-		-e 's,%%service_user%%,$(service_user),g' \
-		-e 's,%%script_user%%,$(script_user),g' \
-		-e 's,%%service_userconf%%,$(service_userconf),g' \
-		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%environment_adm%%,$(environment_adm),g' \
+		-e 's,%%service_adm%%,$(service_adm),g' \
+		-e 's,%%service_admconf%%,$(service_admconf),g' \
+		-e 's,%%user_dir%%,$(user_dir),g' \
+		-e 's,%%service_user%%,$(service_user),g' \
+		-e 's,%%script_user%%,$(script_user),g' \
+		-e 's,%%service_userconf%%,$(service_userconf),g' \
+		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%seed_user%%,$(seed_user),g' \
+		-e 's,%%environment_user%%,$(environment_user),g' \
 		-e 's,%%default_treename%%,$(default_treename),g' $< > $@
 
 $(DESTDIR)$(mandir)/man5/%.5: doc/man/man5/%.5
@@ -168,13 +174,16 @@
 		-e 's,%%script_system%%,$(script_system),g' \
 		-e 's,%%seed_system%%,$(seed_system),g' \
 		-e 's,%%seed_adm%%,$(seed_adm),g' \
-		-e 's,%%service_adm%%,$(service_adm),g' \
-		-e 's,%%service_admconf%%,$(service_admconf),g' \
-		-e 's,%%user_dir%%,$(user_dir),g' \
-		-e 's,%%service_user%%,$(service_user),g' \
-		-e 's,%%script_user%%,$(script_user),g' \
-		-e 's,%%service_userconf%%,$(service_userconf),g' \
-		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%environment_adm%%,$(environment_adm),g' \
+		-e 's,%%service_adm%%,$(service_adm),g' \
+		-e 's,%%service_admconf%%,$(service_admconf),g' \
+		-e 's,%%user_dir%%,$(user_dir),g' \
+		-e 's,%%service_user%%,$(service_user),g' \
+		-e 's,%%script_user%%,$(script_user),g' \
+		-e 's,%%service_userconf%%,$(service_userconf),g' \
+		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%seed_user%%,$(seed_user),g' \
+		-e 's,%%environment_user%%,$(environment_user),g' \
 		-e 's,%%default_treename%%,$(default_treename),g' $< > $@
 
 $(DESTDIR)$(mandir)/man8/%.8: doc/man/man8/%.8
@@ -192,13 +201,16 @@
 		-e 's,%%script_system%%,$(script_system),g' \
 		-e 's,%%seed_system%%,$(seed_system),g' \
 		-e 's,%%seed_adm%%,$(seed_adm),g' \
-		-e 's,%%service_adm%%,$(service_adm),g' \
-		-e 's,%%service_admconf%%,$(service_admconf),g' \
-		-e 's,%%user_dir%%,$(user_dir),g' \
-		-e 's,%%service_user%%,$(service_user),g' \
-		-e 's,%%script_user%%,$(script_user),g' \
-		-e 's,%%service_userconf%%,$(service_userconf),g' \
-		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%environment_adm%%,$(environment_adm),g' \
+		-e 's,%%service_adm%%,$(service_adm),g' \
+		-e 's,%%service_admconf%%,$(service_admconf),g' \
+		-e 's,%%user_dir%%,$(user_dir),g' \
+		-e 's,%%service_user%%,$(service_user),g' \
+		-e 's,%%script_user%%,$(script_user),g' \
+		-e 's,%%service_userconf%%,$(service_userconf),g' \
+		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%seed_user%%,$(seed_user),g' \
+		-e 's,%%environment_user%%,$(environment_user),g' \
 		-e 's,%%default_treename%%,$(default_treename),g' $< > $@
 
 $(DESTDIR)$(skel)/%: skel/%
