=== debian/changelog ===
66 (0.8.0.0~antix1) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Fri, 18 Oct 2024 11:43:20 +0300
