=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  autotools-dev,
- s6 (>= 2.12),
- s6-rc (>= 0.5.4.2),
- oblibs (>= 0.2),
- skalibs-dev (>= 2.14),
- libs6-dev (>= 2.12),
- libexecline-dev (>= 2.9),
- execline (>= 2.9),
- libexecline2.9 ,
- libskarnet2.14
+ s6 (>= 2.13.1),
+ s6-rc (>= 0.5.5),
+ oblibs (>= 0.3.1),
+ skalibs-dev (>= 2.14.3),
+ libs6-dev (>= 2.13.1),
+ libexecline-dev (>= 2.9.6.1),
+ execline (>= 2.9.6.1),
+ libexecline2.9,
+ libskarnet2.14t64
 Standards-Version: 4.6.2
 Homepage: https://web.obarun.org/software/66/
 #Vcs-Browser: https://salsa.debian.org/debian/66
