=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #CONFIG_OPT += --enable-absolute-paths
 #CONFIG_OPT += --enable-shared
 #CONFIG_OPT += --enable-allstatic
-CONFIG_OPT += --HOSTNAME=antix-66
+CONFIG_OPT += --HOSTNAME=antix1
 CONFIG_OPT += --TZ=ETC
 CONFIG_OPT += --TTY=!2
 CONFIG_OPT += --KEYMAP=!us
