## 66 0.8.1.1

=== debian/changelog ===
66 (0.8.1.1-0experimental1) UNRELEASED; urgency=medium

  * Upstream release 0.8.1.1.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 17 May 2025 22:22:22 +1000

66 (0.8.0.2-0experimental1) UNRELEASED; urgency=medium

  * Rebuilt from upstream release. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 29 Mar 2025 22:22:22 +1000

66 (0.7.2.1-0experimental1) UNRELEASED; urgency=medium

  * Rebuilt from upstream release. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Wed, 19 Jun 2024 22:22:22 +1000

66 (0.7.1.1experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream release.

 -- ProwlerGr <Prowler73@gmail.com>  Tue, 28 May 2024 22:22:22 +1000

66 (0.7.0.2experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream release.
  * This release fixes a module error in graph dependencies build that prevented reconfiguration.

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 17 May 2024 22:22:22 +1000

66 (0.7.0.1experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream release.

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 05 May 2024 22:22:22 +1000
