=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #CONFIG_OPT += --enable-absolute-paths
 #CONFIG_OPT += --enable-shared
 #CONFIG_OPT += --enable-allstatic
-CONFIG_OPT += --HOSTNAME=antix1
+CONFIG_OPT += --HOSTNAME=init-diversity
 CONFIG_OPT += --TZ=ETC
 CONFIG_OPT += --TTY=!2
 CONFIG_OPT += --KEYMAP=!us
@@ -65,13 +65,11 @@
 %:
 	dh $@
 
-override_dh_auto_configure-arch:
-#	./tools/gen-deps.sh > package/deps.mak
+override_dh_clean:
+	if test -e README.md; then rm README.md; fi;
+	if test -e config.mak; then rm config.mak; fi;
+	dh_clean
+
+override_dh_auto_configure:
 	./configure -- $(CONFIG_OPT)
 
-#override_dh_auto_configure-indep:
-#override_dh_auto_build-indep:
-#override_dh_auto_install-indep:
-#	mkdir -p debian/tmp/usr/share/doc/s6
-#	cp -aT doc debian/tmp/usr/share/doc/s6
-#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info
