=== debian/changelog ===
66 (0.8.2.0-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Removed the "set -e" flag from maintainer scripts.
  * Faulty user services shouldn't result in a failed system upgrade.

  [ anticapitalista ]
  * build for antiX

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 14:50:21 +0300

66 (0.8.2.0-0experimental1) UNRELEASED; urgency=medium

  * Upstream release 0.8.2.0.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 31 May 2025 22:22:22 +1000

66 (0.8.1.1-0experimental2) UNRELEASED; urgency=medium

  * Updated maintainer scripts that were causing errors when purging.

 -- ProwlerGr <Prowler73@gmail.com>  Tue, 27 May 2025 22:22:22 +1000
