=== debian/control ===
Source: 66
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 s6 (>= 2.12.0.3),
 oblibs (>= 0.3.0.0),
 skalibs-dev (>= 2.14.1.1),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9.4.0),
 libexecline2.9 ,
 libskarnet2.14t64 | libskarnet2.14,
 lowdown (>= 0.6.4),
 linux-libc-dev (>=5.8),
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
Vcs-Browser: https://salsa.debian.org/init-diversity-team/s6-66/66
Vcs-Git: https://salsa.debian.org/init-diversity-team/s6-66/66.git

Package: 66
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 s6 (>= 2.12.0.3),
 oblibs (>= 0.3.0.1),
 execline (>= 2.9.4.0),
Recommends:
 66-tools (>= 0.1.1.0),
Description: Sixty-six is service manager built around created to make the implementation and manipulation of service files on your machine easier.
 Sixty-six is service manager built around [s6](http://skarnet.org/software/s6) created to make the implementation and manipulation of service files on your machine easier.
 It is meant to be a toolbox for the declaration, implementation and administration of services to achieve powerful functionality with small amounts of code.
 Examples of what can be achieved by 66:
 * Frontend service files declaration.
 * Easy creation of a scandir.
 * Nested supervision tree.
 * Instance service file creation.
 * Multiple directories service file declaration(packager,sysadmin,user).
 * Easy change of service configuration.
 * Automatic logger creation.
 * Service Notification.
 * Organizes services as a `tree`.
 * Easy view of service status.
 * User service declaration.
 * Automatic dependencies service chain.
