## 66 0.8.2.1

=== debian/changelog ===
66 (0.8.2.1-0antix2) unstable; urgency=medium

  * fix wrong lib6 build

 -- anticapitalista <antix@operamail.com>  Fri, 09 Jan 2026 13:02:23 -0500

66 (0.8.2.1-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Upstream release 0.8.2.1
  * Switched to Meson build system as per upstream recommendation.

  [ anticapitalista ]
  * antiX-25 build

 -- anticapitalista <antix@operamail.com>  Tue, 23 Dec 2025 14:11:46 +0200

66 (0.8.2.0-0experimental2) UNRELEASED; urgency=medium

  * Removed the "set -e" flag from maintainer scripts.
  * Faulty user services shouldn't result in a failed system upgrade.

 -- ProwlerGr <Prowler73@gmail.com>  Wed, 04 Jun 2025 22:22:22 +1000
