=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ meson,
  s6 (>= 2.12.0.3),
  oblibs (>= 0.3.0.0),
  skalibs-dev (>= 2.14.1.1),
