=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for a Meson project

MESON_OPT += -Dshebangdir=/usr/bin
MESON_OPT += -Dlivedir=/run/66
MESON_OPT += -Dmax-service=500
MESON_OPT += -Dmax-path-size=1024
MESON_OPT += -Dmax-service-size=256
MESON_OPT += -Dmax-tree-name-size=256
MESON_OPT += -Ddefault-tree-name=global
MESON_OPT += -Dskeleton-dir=/etc/66
MESON_OPT += -Dsystem-dir=/var/lib/66
MESON_OPT += -Dsystem-log-dir=/var/log/66
MESON_OPT += -Dsystem-service-dir=/usr/share/66/service
MESON_OPT += -Dsystem-script-dir=/usr/share/66/script
MESON_OPT += -Dsystem-seed-dir=/usr/share/66/seed
MESON_OPT += -Dsysadmin-service-dir=/etc/66/service
MESON_OPT += -Dsysadmin-service-conf-dir=/etc/66/conf
MESON_OPT += -Dsysadmin-seed-dir=/etc/66/seed
MESON_OPT += -Dsysadmin-environment-dir=/etc/66/environment
MESON_OPT += -Duser-dir=.66
MESON_OPT += -Duser-log-dir=.66/log
MESON_OPT += -Duser-service-dir=.66/service
MESON_OPT += -Duser-service-conf-dir=.66/conf
MESON_OPT += -Duser-script-dir=.66/script
MESON_OPT += -Duser-seed-dir=.66/seed
MESON_OPT += -Duser-environment-dir=.66/environment
MESON_OPT += -Ds6-log-user=root
MESON_OPT += -Ds6-log-timestamp=iso
MESON_OPT += -Ds6-log-notification=true
MESON_OPT += -Dwith-doc=true
MESON_OPT += -Dwith-pkgconfig=false
MESON_OPT += -Dtest=true
MESON_OPT += -Dsysdeps-dir=/usr/lib/skalibs/sysdeps
#MESON_OPT += -Dwith-include-dir=[]
#MESON_OPT += -Dwith-staticlib-dir=[]
#MESON_OPT += -Dwith-dynamiclib-dir=[]
MESON_OPT += -Denable-shared=true
MESON_OPT += -Denable-static=true
MESON_OPT += -Denable-static-deps=false
MESON_OPT += -Denable-static-executable=false
MESON_OPT += -Denable-all-pic=true
MESON_OPT += -Denable-pie=true
MESON_OPT += -Dlibexecdir=/usr/libexec


%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(MESON_OPT)
